:root {
    --blanco: #ffffff;
    --negro: #000000;
    --azul: #0000ff;
    --azul_fuerte: #0000A0;
    --Blue_Jay: #2B547E;
    --Platinum: #E5E4E2;
    --Jet_Gray: #616D7E;
    --naranja: #FFA500;

    --Fuente_principal: 3.8rem;
}

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: inherit;
}

body{
    font-family: "Play", sans-serif;
    font-size: 20px;
    min-height: 100vh;
    box-sizing: border-box;
    background-image: url(../css/img/abstract-white-background-with-smooth-lines_476363-20.avif);
    background-repeat: no-repeat;
    background-size: cover;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background-color:#cf0e0e;
    padding: 0px 10%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1000;
    height: 120px;
}

.logo {
    width: 99px;
    height: 99px;
    border-radius: 50%;
}

.header .logo img:hover {
    transform: scale(1.2);
}

.navigation ul {

    list-style: none;

}

.header .navigation ul li {
    float: left;
    position: relative;
}


.header .navigation ul li a {
    font-size: 18px;
    color: white;
    text-decoration: none;
    padding: 20px;
    display: block;
    transition: all .2s ease;
}

.header .navigation ul li a:hover{
    background-color: rgba(1, 1, 1, 0.7);
}

.header .navigation ul li ul{
    position: absolute;
    right: 0;
    width: 300px;
    background-color: rgba(1, 1, 1, 0.7);
    display: none;
}

.header .navigation ul li ul li a {
    font-size: 15px;
    text-transform: capitalize;
}

.header .navigation ul li ul li ul {
    position: absolute;
    top: 0;
    right: 300px;
}

.header .navigation ul li ul li {
    width: 100%;
}

.header .navigation ul li:hover > ul {
    display: initial;
}

.section {
    background-image: url(../css/img/abstract-white-background-with-smooth-lines_476363-20.avif);
    background-repeat: no-repeat;
    background-size: cover;
    height: 650px;

    position: relative;
}

.section .titulo {
    position: absolute;
    background-color: rgba(0, 0, 0, 0);
    background-color: rgba(0, 0, 0, 0.226);
    width: 100%;
    height: 100%;

    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: right;

    color: var(--negro);
}

.section .titulo .text5 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: right;


}

.section .titulo .text5 p {
    text-align: justify;
    padding-left: 30%;
    padding-right: 30%;
}

.section .titulo .text5 h1 {
    text-align: center;
}

.main {
    height: 650px;
}

.text {
    display: grid;
    grid: 200px 200px / repeat(3, 1fr);

    position: absolute;
    width: 100%;
    height: 60%;

    color: var(--negro);
    background-color: #ececec;
}

.main .text .nosotros {
    display: flex;
    flex-direction: column;
    margin-top: 205px;
    margin-bottom: 205px;
}

.main .text .nosotros .cuerpo1 {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    height: 40vh;
}

.main .text .nosotros .cuerpo2 {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    height: 40vh;
}

.main .text .nosotros .cuerpo3 {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    height: 40vh;
}

.main .text .nosotros .icons {
    height: 80px;
    width: 80px;
    background-color: #ececec;
    border-radius: 50%;
    border-width: 10px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.serv_vis {
    position: relative;
}

.serv_vis .text2 {
    width: 100%;
    height: 100%;

}

.serv {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 10%;
}

.serv .crp {
    display: flex;
    flex-direction: row;
    border: 5px solid var(--negro);
    padding-left: 5%;
    padding-right: 5%;
}

.serv .crp .crp2 {
    padding-right: 50px;
    padding-left: 100px;
    text-align: center;
    padding-top: 20px;
}

.serv .crp .crp2 a {
    text-decoration: none;
    color: var(--negro);
}

.serv .crp .crp2 a :hover {
    color: #000000;
    transition: all 0.3s ease 0s;
    transform: scale(1.1);
}

.serv .crp .crp3 {
    padding-right: 100px;
    text-align: center;
    padding-top: 20px;
}

.serv .crp .crp3 a {
    text-decoration: none;
    color: var(--negro);
}

.serv .crp .crp3 a :hover {
    color: #000000;
    transition: all 0.3s ease 0s;
    transform: scale(1.1);
}

.img99{
    height: 200px;
    width: 290px;
}

.vision_mison {
    margin-top: 100px;
    display: flex;
    padding: 50px;
    align-items: center;
}

.img8 {
    display: flex;
    height: 400px;
    width: 400px;
    border: 5px solid;
}

.vision_mison .vision {
    margin-right: 100px;
}

/* servicios */

/* formato 1 */

.servi .form1 {
    display: flex;
    flex-direction: row;
    height: 600px;
    align-items: center;
    background-color: #ececec;
}

.servi .form1 .img8 {
    margin-left: 5%;
    margin-right: 15%;
}

.servi .form1 .text9 {
    margin-right: 5%;
}

/* formato 2 */

.servi .form2 {
    display: flex;
    flex-direction: row-reverse;
    height: 600px;
    align-items: center;
}

.servi .form2 .img8 {
    margin-right: 5%;
}

.servi .form2 .text9 {
    margin-left: 5%;
    margin-right: 15%;
}

/* copiadoras */

.servi .form21 {
    display: flex;
    flex-direction: row-reverse;
    height: 600px;
    align-items: center;
}

.servi .form21 .img8 {
    margin-right: 5%;
}

.servi .form21 .text9 {
    margin-left: 5%;
    margin-right: 15%;
    padding-right: 15%;
}

/* contacto */

.main3 {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;

    padding: 100px;
    background-color: #cacaca;
}

.main3 .sombra {
    -webkit-box-shadow: 0px 4px 9px 0px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 0px 4px 9px 0px rgba(0, 0, 0, 0.75);
    box-shadow: 0px 4px 9px 0px rgba(0, 0, 0, 0.75);
    background-color: var(--blanco);
    border-radius: 1rem;
    margin-left: 5%;
    height: 100%;
    width: 100%;
    padding-bottom: 2%;
}

.main3 .sombra .contact {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.main3 .sombra .contact .prt {
    display: flex;
    flex-direction: row;
    padding-bottom: 5%;
}

.main3 .sombra .contact .prt .prt2 {
    padding-left: 5%;
}

.main3 .datos {
    margin-left: 10%;
    padding-right: 5%;
}

.main3 .datos .numero {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.main3 .datos .numero p {
    padding-left: 10px;
}

.main3 .datos .sede {
    display: flex;
    flex-direction: row;
    align-items: center;
}


.main3 .datos .sede p {
    padding-left: 10px;
}

.main3 .datos .gmail {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.main3 .datos .gmail p {
    padding-left: 10px;
}

.main3 .datos .bank {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.main3 .datos .bank p {
    padding-left: 10px;
}

.main3 .datos .bank svg {
    height: 110px;
    width: auto;
}

.line {
    height: 10px;
    width: 100%;
    background-color: #000000;
}

.btn {
    cursor: pointer;
}

footer {
    padding-left: 5%;
    padding-bottom: 50px;
}

#toggle,
.header label {
    display: none;
    cursor: pointer;
}

.menu {
    width: 45px;
    height: 35px;
}

@media(max-width:950px){
    .header label{
        display: initial;
    }

    .header{
        padding: 20px 10%;
    }

    .header .navigation{
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        height: auto;
        background-color: rgba(1, 1, 1, 0.7);
        display: none;
    }

    .header .navigation ul li {
        width: 100%;
    }

    .header .navigation ul li a{
        padding: 8px 30px 8px 10%;
    }

    .header .navigation ul li ul{
        position: relative;
        width: 100%;
        left: 0;
    }
    
    .header .navigation ul li ul li{
        background-color: rgba(1, 1, 1, 0.7);
    }

    .header .navigation ul li ul li ul {
        position: relative;
        width: 100%;
        left: 0;
    }

    #toggle:checked ~ .navigation{
        display: block;
    }

    html {
        font-family: "Play", sans-serif;
        font-size: 10px;
        margin: 0;
        padding: 0;
        box-sizing: border-box;
        background-image: url(../body/img/abstract-white-background-with-smooth-lines_476363-20.avif);
        background-repeat: no-repeat;
        background-size: cover;
    }

    .header {
        background-color: #cf0e0e;
        display: flex;
        justify-content: baseline;
        align-items: center;
        height: 120px;
        padding: 5px 10%;
    }


    .header .logo img {
        width: 80px;
        height: 80px;
        transition: all 0.3s ease 0s;
        border-radius: 50%;
    }

    .header .logo img:hover {
        transform: scale(1.2);
    }

    .section {
        background-image: url(../body/img/abstract-white-background-with-smooth-lines_476363-20.avif);
        background-repeat: no-repeat;
        background-size: cover;
        height: 700px;

        position: relative;
    }

    .section .titulo {
        position: absolute;
        background-color: rgba(0, 0, 0, 0);
        background-color: rgba(0, 0, 0, 0.226);
        width: 100%;
        height: 100%;

        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: right;

        color: var(--negro);
    }

    .section .titulo .text5 {
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: right;
        margin-top: 50px;

    }

    .section .titulo .text5 p {
        text-align: justify;
        padding-left: 5%;
        padding-right: 5%;
    }

    .section .titulo .text5 h2 {
        text-align: center;
    }

    .main {
        height: 550px;

    }

    .text {
        display: flex;
        flex-direction: column;
        align-items: center;
        position: relative;
        height: 1250px;

        color: var(--negro);
        background-color: #ececec;
    }

    .main .text .nosotros {
        display: flex;
        flex-direction: column;
        margin-top: 105px;
        margin-bottom: 50px;
    }

    .main .text .nosotros .cuerpo1 {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        height: 30vh;
    }

    .main .text .nosotros .cuerpo2 {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        height: 30vh;
    }

    .main .text .nosotros .cuerpo3 {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        height: 30vh;
    }

    .main .text .nosotros .cuerpo1 p{
        margin-left: 5%;
        margin-right: 5%;
    }

    .main .text .nosotros .cuerpo2 p{
        margin-left: 5%;
        margin-right: 5%;
    }

    .main .text .nosotros .cuerpo3 p{
        margin-left:5% ;
        margin-right: 5%;
    }

    .main .text .nosotros .icons {
        height: 80px;
        width: 80px;
        background-color: #ececec;
        border-radius: 50%;
        border-width: 10px;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
    }

    .serv_vis {
        position: relative;
        padding-top: 730px;
    }

    .serv_vis .text2 {
        width: 100%;
        height: 100%;

    }

    .serv {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-bottom: 10%;
    }

    .serv .crp {
        display: flex;
        flex-direction: row;
        border: 5px solid var(--negro);
    }

    .serv .crp .crp2 {
        padding-right: 50px;
        padding-left: 100px;
        text-align: center;
    }

    .serv .crp .crp2 a {
        text-decoration: none;
        color: var(--negro);
    }

    .serv .crp .crp2 a :hover {
        color: #000000;
        transition: all 0.3s ease 0s;
        transform: scale(1.1);
    }

    .serv .crp .crp3 {
        padding-right: 100px;
        text-align: center;
    }

    .serv .crp .crp3 a {
        text-decoration: none;
        color: var(--negro);
    }

    .serv .crp .crp3 a :hover {
        color: #000000;
        transition: all 0.3s ease 0s;
        transform: scale(1.1);
    }

    .vision_mison {
        margin-top: 100px;
        display: flex;
        padding: 50px;
        align-items: center;
    }

    .img8 {
        display: flex;
        height: 350px;
        width: 350px;
    }

    .vision_mison .vision {
        margin-right: 100px;
    }

    /* servicios */

    /* formato 1 */

    .servi .form1 {
        display: flex;
        flex-direction: column;
        height: 900px;
        align-items: center;
        justify-items: center;
        background-color: #ececec;
    }

    .servi .form1 .img8 {
        margin-left: 5%;
        margin-right: 5%;
        margin-top: 5%;
    }

    .servi .form1 .text9 {
        margin-right: 5%;
        margin-top: 5%;
        margin-left: 5%;
    }

    /* formato 2 */

    .servi .form2 {
        display: flex;
        flex-direction: column;
        height: 900px;
        align-items: center;
        justify-items: center;
    }

    .servi .form2 .img8 {
        margin-left: 5%;
        margin-right: 5%;
        margin-top: 5%;
        
    }

    .servi .form2 .text9 {
        margin-right: 5%;
        margin-top: 5%;
        margin-left: 5%;
    }

    /* contacto */

    .main3 {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        padding: 30px;
        background-color: #cacaca;
    }

    .main3 .sombra {
        -webkit-box-shadow: 0px 4px 9px 0px rgba(0, 0, 0, 0.75);
        -moz-box-shadow: 0px 4px 9px 0px rgba(0, 0, 0, 0.75);
        box-shadow: 0px 4px 9px 0px rgba(0, 0, 0, 0.75);
        background-color: var(--blanco);
        height: 670px;
        margin-left: 5%;
        margin-right: 5%;
    }

    .main3 .sombra .contact {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .main3 .sombra .contact .prt {
        display: flex;
        flex-direction: column;
        padding-bottom: 5%;
        align-items: center;
    }

    .main3 .sombra .contact .prt .prt2 {
        padding-left: 0%;
        padding-top: 5%;
    }

    .main3 .sombra .contact .campo textarea{
        margin-top: 5%;
        width: 260px;
        height: 200px;
    }


    .main3 .datos {
        padding-top: 10%;
    }

    .main3 .datos .numero {
        display: flex;
        flex-direction: row;
        align-items: center;
    }

    .main3 .datos .numero p {
        padding-left: 10px;
    }

    .main3 .datos .sede {
        display: flex;
        flex-direction: row;
        align-items: center;
    }


    .main3 .datos .sede p {
        padding-left: 10px;
    }

    .main3 .datos .gmail {
        display: flex;
        flex-direction: row;
        align-items: center;
    }

    .main3 .datos .gmail p {
        padding-left: 10px;
    }

    .main3 .datos .bank {
        display: flex;
        flex-direction: row;
        align-items: center;
    }

    .main3 .datos .bank p {
        padding-left: 10px;
    }

    .main3 .datos .bank svg {
        height: 110px;
        width: auto;
    }

    .line {
        height: 10px;
        width: 100%;
        background-color: #000000;
    }

    footer {
        padding-left: 5%;
        padding-bottom: 50px;
    }    
}

.slider {
    width: 75vw;
    height: auto;
    margin: auto;
    overflow: hidden;
}

.slider .slide-track {
    display: flex;
    animation: scroll 1s linear infinite;
    -webkit-animation: scroll 40s linear infinite;
    width: calc(200px * 22);
}

.slider .slide {
    width: 200px;
}

.slider .slide img {
    width: 100px;
    height: 100px;
}

@keyframes scroll {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
    }

    100% {
        -webkit-transform: translateX(calc(-200px * 11));
        transform: translateX(calc(-200px * 11));
    }
}